打开无线提示“设备已被删除”
Tofloor
poster avatar
188******56
deepin
2018-02-27 10:55
Author
升级到最新系统后重启,打开无线,提示设备已被删除。而且设置页面的无线选项不停地在打开关闭之间跳动。


  1. deepin@deepin:/etc/network$ systemctl status networking
  2. ● networking.service - Raise network interfaces
  3.    Loaded: loaded (/lib/systemd/system/networking.service; enabled; vendor preset: enabled)
  4.    Active: active (exited) since Mon 2018-02-26 18:32:07 UTC; 19min ago
  5.      Docs: man:interfaces(5)
  6.   Process: 583 ExecStart=/sbin/ifup -a --read-environment (code=exited, status=0/SUCCESS)
  7.   Process: 579 ExecStartPre=/bin/sh -c [ "$CONFIGURE_INTERFACES" != "no" ] && [ -n "$(ifquery --read-environment --list --exclude=l
  8. o)" ] && udevadm settle (code=exited, status=1/FAILURE)
  9. Main PID: 583 (code=exited, status=0/SUCCESS)
  10.     Tasks: 0 (limit: 4915)
  11.    CGroup: /system.slice/networking.service
  12. deepin@deepin:/etc/network$
Copy the Code
即使启动networking,查看状态却为已退出
  1. deepin@deepin:/etc/network$ systemctl status networking
  2. ● networking.service - Raise network interfaces
  3.    Loaded: loaded (/lib/systemd/system/networking.service; enabled; vendor preset: enabled)
  4.    Active: active (exited) since Mon 2018-02-26 18:53:05 UTC; 11s ago
  5.      Docs: man:interfaces(5)
  6.   Process: 2028 ExecStop=/sbin/ifdown -a --read-environment --exclude=lo (code=exited, status=0/SUCCESS)
  7.   Process: 2042 ExecStart=/sbin/ifup -a --read-environment (code=exited, status=0/SUCCESS)
  8.   Process: 2040 ExecStartPre=/bin/sh -c [ "$CONFIGURE_INTERFACES" != "no" ] && [ -n "$(ifquery --read-environment --list --exclude=
  9. lo)" ] && udevadm settle (code=exited, status=1/FAILURE)
  10. Main PID: 2042 (code=exited, status=0/SUCCESS)
Copy the Code


Reply Favorite View the author
All Replies
1 / 2
To page
avatar
188******56
deepin
2018-02-27 11:00
#1
/etc/init.d/networking内容如下
  1. #!/bin/sh -e
  2. ### BEGIN INIT INFO
  3. # Provides:          networking ifupdown
  4. # Required-Start:    mountkernfs $local_fs urandom
  5. # Required-Stop:     $local_fs
  6. # Default-Start:     S
  7. # Default-Stop:      0 6
  8. # Short-Description: Raise network interfaces.
  9. # Description:       Prepare /run/network directory, ifstate file and raise network interfaces, or take them down.
  10. ### END INIT INFO

  11. PATH="/sbin:/bin"
  12. RUN_DIR="/run/network"
  13. IFSTATE="$RUN_DIR/ifstate"
  14. STATEDIR="$RUN_DIR/state"

  15. [ -x /sbin/ifup ] || exit 0
  16. [ -x /sbin/ifdown ] || exit 0

  17. . /lib/lsb/init-functions

  18. CONFIGURE_INTERFACES=yes
  19. EXCLUDE_INTERFACES=
  20. VERBOSE=no

  21. [ -f /etc/default/networking ] && . /etc/default/networking

  22. verbose=""
  23. [ "$VERBOSE" = yes ] && verbose=-v

  24. process_exclusions() {
  25.     set -- $EXCLUDE_INTERFACES
  26.     exclusions=""
  27.     for d
  28.     do
  29.         exclusions="-X $d $exclusions"
  30.     done
  31.     echo $exclusions
  32. }

  33. process_options() {
  34.     [ -e /etc/network/options ] || return 0
  35.     log_warning_msg "/etc/network/options still exists and it will be IGNORED! Please use /etc/sysctl.conf instead."
  36. }

  37. check_ifstate() {
  38.     if [ ! -d "$RUN_DIR" ] ; then
  39.         if ! mkdir -p "$RUN_DIR" ; then
  40.             log_failure_msg "can't create $RUN_DIR"
  41.             exit 1
  42.         fi
  43.         if ! chown root:netdev "$RUN_DIR" ; then
  44.             log_warning_msg "can't chown $RUN_DIR"
  45.         fi
  46.     fi
  47.     if [ ! -r "$IFSTATE" ] ; then
  48.         if ! :> "$IFSTATE" ; then
  49.             log_failure_msg "can't initialise $IFSTATE"
  50.             exit 1
  51.         fi
  52.     fi
  53. }

  54. check_network_file_systems() {
  55.     [ -e /proc/mounts ] || return 0

  56.     if [ -e /etc/iscsi/iscsi.initramfs ]; then
  57.         log_warning_msg "not deconfiguring network interfaces: iSCSI root is mounted."
  58.         exit 0
  59.     fi

  60.     while read DEV MTPT FSTYPE REST; do
  61.         case $DEV in
  62.         /dev/nbd*|/dev/nd[a-z]*|/dev/etherd/e*|curlftpfs*)
  63.             log_warning_msg "not deconfiguring network interfaces: network devices still mounted."
  64.             exit 0
  65.             ;;
  66.         esac
  67.         case $FSTYPE in
  68.         nfs|nfs4|smbfs|ncp|ncpfs|cifs|coda|ocfs2|gfs|pvfs|pvfs2|fuse.httpfs|fuse.curlftpfs)
  69.             log_warning_msg "not deconfiguring network interfaces: network file systems still mounted."
  70.             exit 0
  71.             ;;
  72.         esac
  73.     done < /proc/mounts
  74. }

  75. check_network_swap() {
  76.     [ -e /proc/swaps ] || return 0

  77.     while read DEV MTPT FSTYPE REST; do
  78.         case $DEV in
  79.         /dev/nbd*|/dev/nd[a-z]*|/dev/etherd/e*)
  80.             log_warning_msg "not deconfiguring network interfaces: network swap still mounted."
  81.             exit 0
  82.             ;;
  83.         esac
  84.     done < /proc/swaps
  85. }

  86. ifup_hotplug () {
  87.     if [ -d /sys/class/net ]
  88.     then
  89.             ifaces=$(for iface in $(ifquery --list --allow=hotplug)
  90.                             do
  91.                                     link=${iface##:*}
  92.                                     link=${link##.*}
  93.                                     if [ -e "/sys/class/net/$link" ]
  94.                                     then
  95.                                         echo "$iface"
  96.                                     fi
  97.                             done)
  98.             if [ -n "$ifaces" ]
  99.             then
  100.                 ifup $ifaces "$@" || true
  101.             fi
  102.     fi
  103. }

  104. case "$1" in
  105. start)
  106.         if init_is_upstart; then
  107.                 exit 1
  108.         fi
  109.         process_options
  110.         check_ifstate

  111.         if [ "$CONFIGURE_INTERFACES" = no ]
  112.         then
  113.             log_action_msg "Not configuring network interfaces, see /etc/default/networking"
  114.             exit 0
  115.         fi
  116.         set -f
  117.         exclusions=$(process_exclusions)
  118.         log_action_begin_msg "Configuring network interfaces"
  119.         if [ -x /bin/udevadm ]; then
  120.                 if [ -n "$(ifquery --list --exclude=lo)" ] || [ -n "$(ifquery --list --allow=hotplug)" ]; then
  121.                         /bin/udevadm settle || true
  122.                 fi
  123.         fi
  124.         if ifup -a $exclusions $verbose && ifup_hotplug $exclusions $verbose
  125.         then
  126.             log_action_end_msg $?
  127.         else
  128.             log_action_end_msg $?
  129.         fi
  130.         ;;

  131. stop)
  132.         if init_is_upstart; then
  133.                 exit 0
  134.         fi
  135.         check_network_file_systems
  136.         check_network_swap

  137.         log_action_begin_msg "Deconfiguring network interfaces"
  138.         if ifdown -a --exclude=lo $verbose; then
  139.             log_action_end_msg $?
  140.         else
  141.             log_action_end_msg $?
  142.         fi
  143.         ;;

  144. reload)
  145.         if init_is_upstart; then
  146.                 exit 1
  147.         fi
  148.         process_options

  149.         log_action_begin_msg "Reloading network interfaces configuration"
  150.         state=$(ifquery --state)
  151.         ifdown -a --exclude=lo $verbose || true
  152.         if ifup --exclude=lo $state $verbose ; then
  153.             log_action_end_msg $?
  154.         else
  155.             log_action_end_msg $?
  156.         fi
  157.         ;;

  158. force-reload|restart)
  159.         if init_is_upstart; then
  160.                 exit 1
  161.         fi
  162.         process_options

  163.         log_warning_msg "Running $0 $1 is deprecated because it may not re-enable some interfaces"
  164.         log_action_begin_msg "Reconfiguring network interfaces"
  165.         ifdown -a --exclude=lo $verbose || true
  166.         set -f
  167.         exclusions=$(process_exclusions)
  168.         if ifup -a --exclude=lo $exclusions $verbose && ifup_hotplug $exclusions $verbose
  169.         then
  170.             log_action_end_msg $?
  171.         else
  172.             log_action_end_msg $?
  173.         fi
  174.         ;;

  175. *)
  176.         echo "Usage: /etc/init.d/networking {start|stop|reload|restart|force-reload}"
  177.         exit 1
  178.         ;;
  179. esac

  180. exit 0

  181. # vim: noet ts=8
Copy the Code
Reply View the author
avatar
wtz
deepin
2018-02-27 14:26
#2
把dmesg输出的最后几行贴上来看看。
Reply View the author
avatar
188******56
deepin
2018-02-27 22:10
#3
本帖最后由 wffger 于 2018-2-27 14:11 编辑

@wtz  看着像是无线网卡驱动的问题
  1. [ 43.278089] iwlwifi 0000:03:00.0: firmware: failed to load
  2. iwlwifi-8265-24.ucode (-2)
  3. [ 43.278090] iwlwifi 0000:03:00.0: Direct firmware load for
  4. iwlwifi-8265-24.ucode failed with error -2
  5. [ 43.278098] iwlwifi 0000:03:00.0: firmware: failed to load
  6. iwlwifi-8265-23.ucode (-2)
  7. [ 43.278099] iwlwifi 0000:03:00.0: Direct firmware load for
  8. iwlwifi-8265-23.ucode failed with error -2
  9. [ 43.278654] iwlwifi 0000:03:00.0: firmware: direct-loading firmware
  10. iwlwifi-8265-22.ucode
  11. [ 43.279214] iwlwifi 0000:03:00.0: loaded firmware version 22.361476.0
  12. op_mode iwlmvm
  13. [ 43.279227] iwlwifi 0000:03:00.0: Detected Intel(R) Dual Band Wireless AC
  14. 8265, REV=0x230
  15. [ 43.336201] iwlwifi 0000:03:00.0: base HW address: f8:34:41:07:39:a1
  16. [ 43.413060] ieee80211 phy13: Selected rate control algorithm 'iwl-mvm-rs'
  17. [ 43.413420] (NULL device *): hwmon_device_register() is deprecated. Please
  18. convert the driver to use hwmon_device_register_with_info().
  19. [ 43.413450] thermal thermal_zone12: failed to read out thermal zone (-61)
  20. [ 43.416815] iwlwifi 0000:03:00.0 wlp3s0: renamed from wlan0
  21. [ 43.456853] IPv6: ADDRCONF(NETDEV_UP): wlp3s0: link is not ready
  22. [ 1765.265699] usb 1-4: new high-speed USB device number 6 using xhci_hcd
  23. [ 1765.414824] usb 1-4: New USB device found, idVendor=0e8d, idProduct=2008
  24. [ 1765.414831] usb 1-4: New USB device strings: Mfr=3, Product=4,
  25. SerialNumber=5
  26. [ 1765.414835] usb 1-4: Product: M5 Note
  27. [ 1765.414838] usb 1-4: Manufacturer: MediaTek
  28. [ 1765.414841] usb 1-4: SerialNumber: 621QECQ93RQJJ
  29. [ 1825.725336] usb 1-4: reset high-speed USB device number 6 using xhci_hcd
  30. [ 1826.009398] usb 1-4: reset high-speed USB device number 6 using xhci_hcd
Copy the Code
dmesg.pdf
Reply View the author
avatar
188******56
deepin
2018-02-27 22:31
#4
@wtz
查了一下谷歌,Intel叫我到https://wireless.wiki.kernel.org/en/users/Drivers/iwlwifi下载最新的文件,
  1. cp iwlwifi-*.ucode /lib/firmware
Copy the Code

我照做后,重启networking,network-manager。但是问题依然存在。
新的dmsg输出如下

  1. [ 3296.357126] ieee80211 phy168: Hardware restart was requested
  2. [ 3296.357133] iwlwifi 0000:03:00.0: FW error in SYNC CMD GEO_TX_POWER_LIMIT
  3. [ 3296.357135] CPU: 3 PID: 6264 Comm: NetworkManager Tainted: P        W  O    4.14.0-deepin2-amd64 #1 Deepin 4.14.12-2
  4. [ 3296.357136] Hardware name: HP HP ZHAN 66 Pro G1/83FD, BIOS Q93 Ver. 01.02.09 01/26/2018
  5. [ 3296.357137] Call Trace:
  6. [ 3296.357142]  dump_stack+0x5c/0x85
  7. [ 3296.357148]  iwl_trans_pcie_send_hcmd+0x389/0x460 [iwlwifi]
  8. [ 3296.357151]  ? remove_wait_queue+0x60/0x60
  9. [ 3296.357155]  iwl_trans_send_cmd+0x4a/0xc0 [iwlwifi]
  10. [ 3296.357160]  iwl_mvm_send_cmd+0x23/0x80 [iwlmvm]
  11. [ 3296.357164]  iwl_mvm_send_cmd_pdu+0x58/0x80 [iwlmvm]
  12. [ 3296.357167]  ? iwl_mvm_up+0x7f2/0x9a0 [iwlmvm]
  13. [ 3296.357170]  iwl_mvm_up+0x7f2/0x9a0 [iwlmvm]
  14. [ 3296.357172]  ? preempt_count_add+0x56/0xa0
  15. [ 3296.357175]  __iwl_mvm_mac_start+0x2d5/0x350 [iwlmvm]
  16. [ 3296.357177]  ? _raw_spin_unlock_irq+0x1d/0x30
  17. [ 3296.357180]  iwl_mvm_mac_start+0x51/0x110 [iwlmvm]
  18. [ 3296.357196]  drv_start+0x35/0x110 [mac80211]
  19. [ 3296.357205]  ieee80211_do_open+0x302/0x8f0 [mac80211]
  20. [ 3296.357214]  ? ieee80211_check_concurrent_iface+0x11a/0x1e0 [mac80211]
  21. [ 3296.357216]  __dev_open+0xc2/0x140
  22. [ 3296.357218]  ? _raw_spin_lock_bh+0x13/0x40
  23. [ 3296.357219]  __dev_change_flags+0x1a7/0x1e0
  24. [ 3296.357221]  dev_change_flags+0x23/0x60
  25. [ 3296.357223]  do_setlink+0x324/0xcc0
  26. [ 3296.357225]  ? __kmalloc_reserve.isra.37+0x2e/0x80
  27. [ 3296.357226]  ? pskb_expand_head+0xe1/0x2b0
  28. [ 3296.357228]  ? ___cache_free+0x31/0x2e0
  29. [ 3296.357230]  ? __local_bh_enable_ip+0x3f/0x70
  30. [ 3296.357231]  ? inet6_fill_ifla6_attrs+0x451/0x470
  31. [ 3296.357233]  rtnl_newlink+0x7f6/0x920
  32. [ 3296.357234]  ? sock_def_readable+0xe/0x70
  33. [ 3296.357236]  ? __netlink_sendskb+0x47/0x60
  34. [ 3296.357240]  ? ttwu_stat+0x110/0x120
  35. [ 3296.357241]  ? _raw_write_unlock_bh+0x20/0x20
  36. [ 3296.357242]  ? security_capable+0x41/0x60
  37. [ 3296.357244]  rtnetlink_rcv_msg+0x17e/0x2b0
  38. [ 3296.357246]  ? rtnl_calcit.isra.26+0x120/0x120
  39. [ 3296.357248]  netlink_rcv_skb+0xe7/0x120
  40. [ 3296.357251]  netlink_unicast+0x1a8/0x250
  41. [ 3296.357253]  netlink_sendmsg+0x2cb/0x3c0
  42. [ 3296.357255]  sock_sendmsg+0x30/0x40
  43. [ 3296.357257]  ___sys_sendmsg+0x2d7/0x2f0
  44. [ 3296.357259]  ? __do_proc_dointvec+0x2ec/0x3f0
  45. [ 3296.357260]  ? __rtnl_unlock+0x25/0x40
  46. [ 3296.357261]  ? netdev_run_todo+0x61/0x310
  47. [ 3296.357263]  ? ___cache_free+0x31/0x2e0
  48. [ 3296.357264]  ? preempt_count_add+0x56/0xa0
  49. [ 3296.357265]  ? _raw_spin_lock+0x13/0x40
  50. [ 3296.357267]  ? lockref_put_or_lock+0x5a/0x80
  51. [ 3296.357268]  ? dput+0x16e/0x200
  52. [ 3296.357270]  ? __sys_sendmsg+0x51/0x90
  53. [ 3296.357271]  __sys_sendmsg+0x51/0x90
  54. [ 3296.357273]  system_call_fast_compare_end+0xc/0x6f
  55. [ 3296.357275] RIP: 0033:0x7f8fc3853e90
  56. [ 3296.357276] RSP: 002b:00007ffe5ebf9960 EFLAGS: 00000293
  57. [ 3298.116756] iwlwifi 0000:03:00.0: Microcode SW error detected.  Restarting 0x82000000.
  58. [ 3298.116921] iwlwifi 0000:03:00.0: Start IWL Error Log Dump:
  59. [ 3298.116926] iwlwifi 0000:03:00.0: Status: 0x00000110, count: 6
  60. [ 3298.116930] iwlwifi 0000:03:00.0: Loaded firmware version: 22.361476.0
  61. [ 3298.116935] iwlwifi 0000:03:00.0: 0x00000038 | BAD_COMMAND                 
  62. [ 3298.116938] iwlwifi 0000:03:00.0: 0x00A002F0 | trm_hw_status0
  63. [ 3298.116942] iwlwifi 0000:03:00.0: 0x00000000 | trm_hw_status1
  64. [ 3298.116945] iwlwifi 0000:03:00.0: 0x0000E258 | branchlink2
  65. [ 3298.116948] iwlwifi 0000:03:00.0: 0x0002730C | interruptlink1
  66. [ 3298.116951] iwlwifi 0000:03:00.0: 0x00000000 | interruptlink2
  67. [ 3298.116955] iwlwifi 0000:03:00.0: 0x00000002 | data1
  68. [ 3298.116958] iwlwifi 0000:03:00.0: 0xDEADBEEF | data2
  69. [ 3298.116961] iwlwifi 0000:03:00.0: 0xDEADBEEF | data3
  70. [ 3298.116964] iwlwifi 0000:03:00.0: 0x003FA7CF | beacon time
  71. [ 3298.116968] iwlwifi 0000:03:00.0: 0x0000582F | tsf low
  72. [ 3298.116971] iwlwifi 0000:03:00.0: 0x00000000 | tsf hi
  73. [ 3298.116974] iwlwifi 0000:03:00.0: 0x00000000 | time gp1
  74. [ 3298.116977] iwlwifi 0000:03:00.0: 0x00005830 | time gp2
  75. [ 3298.116980] iwlwifi 0000:03:00.0: 0x00000000 | uCode revision type
  76. [ 3298.116984] iwlwifi 0000:03:00.0: 0x00000016 | uCode version major
  77. [ 3298.116987] iwlwifi 0000:03:00.0: 0x00058404 | uCode version minor
  78. [ 3298.116990] iwlwifi 0000:03:00.0: 0x00000230 | hw version
  79. [ 3298.116993] iwlwifi 0000:03:00.0: 0x18C89000 | board version
  80. [ 3298.116997] iwlwifi 0000:03:00.0: 0x001F0405 | hcmd
  81. [ 3298.117000] iwlwifi 0000:03:00.0: 0x00022080 | isr0
  82. [ 3298.117003] iwlwifi 0000:03:00.0: 0x00000000 | isr1
  83. [ 3298.117006] iwlwifi 0000:03:00.0: 0x08201802 | isr2
  84. [ 3298.117009] iwlwifi 0000:03:00.0: 0x00400080 | isr3
  85. [ 3298.117012] iwlwifi 0000:03:00.0: 0x00000000 | isr4
  86. [ 3298.117016] iwlwifi 0000:03:00.0: 0x04000118 | last cmd Id
  87. [ 3298.117019] iwlwifi 0000:03:00.0: 0x00000000 | wait_event
  88. [ 3298.117022] iwlwifi 0000:03:00.0: 0x00009BFA | l2p_control
  89. [ 3298.117025] iwlwifi 0000:03:00.0: 0x00000020 | l2p_duration
  90. [ 3298.117028] iwlwifi 0000:03:00.0: 0x00000000 | l2p_mhvalid
  91. [ 3298.117032] iwlwifi 0000:03:00.0: 0x00000000 | l2p_addr_match
  92. [ 3298.117035] iwlwifi 0000:03:00.0: 0x0000000D | lmpm_pmg_sel
  93. [ 3298.117038] iwlwifi 0000:03:00.0: 0x03071928 | timestamp
  94. [ 3298.117041] iwlwifi 0000:03:00.0: 0x00001828 | flow_handler
  95. [ 3298.117210] iwlwifi 0000:03:00.0: Start IWL Error Log Dump:
  96. [ 3298.117214] iwlwifi 0000:03:00.0: Status: 0x00000110, count: 7
  97. [ 3298.117217] iwlwifi 0000:03:00.0: 0x00000070 | ADVANCED_SYSASSERT
  98. [ 3298.117220] iwlwifi 0000:03:00.0: 0x00000000 | umac branchlink1
  99. [ 3298.117224] iwlwifi 0000:03:00.0: 0xC0082F64 | umac branchlink2
  100. [ 3298.117227] iwlwifi 0000:03:00.0: 0xC0081000 | umac interruptlink1
  101. [ 3298.117230] iwlwifi 0000:03:00.0: 0xC0081000 | umac interruptlink2
  102. [ 3298.117233] iwlwifi 0000:03:00.0: 0x00000800 | umac data1
  103. [ 3298.117236] iwlwifi 0000:03:00.0: 0xC0081000 | umac data2
  104. [ 3298.117239] iwlwifi 0000:03:00.0: 0xDEADBEEF | umac data3
  105. [ 3298.117242] iwlwifi 0000:03:00.0: 0x00000016 | umac major
  106. [ 3298.117246] iwlwifi 0000:03:00.0: 0x00058404 | umac minor
  107. [ 3298.117249] iwlwifi 0000:03:00.0: 0xC0886280 | frame pointer
  108. [ 3298.117252] iwlwifi 0000:03:00.0: 0xC0886280 | stack pointer
  109. [ 3298.117255] iwlwifi 0000:03:00.0: 0x001F0405 | last host cmd
  110. [ 3298.117258] iwlwifi 0000:03:00.0: 0x00000000 | isr status reg
  111. [ 3298.117263] iwlwifi 0000:03:00.0: Firmware error during reconfiguration - reprobe!
  112. [ 3298.117287] iwlwifi 0000:03:00.0: FW error in SYNC CMD GEO_TX_POWER_LIMIT
  113. [ 3298.117298] CPU: 0 PID: 6276 Comm: wpa_supplicant Tainted: P        W  O    4.14.0-deepin2-amd64 #1 Deepin 4.14.12-2
  114. [ 3298.117300] Hardware name: HP HP ZHAN 66 Pro G1/83FD, BIOS Q93 Ver. 01.02.09 01/26/2018
  115. [ 3298.117302] Call Trace:
  116. [ 3298.117315]  dump_stack+0x5c/0x85
  117. [ 3298.117333]  iwl_trans_pcie_send_hcmd+0x389/0x460 [iwlwifi]
  118. [ 3298.117341]  ? remove_wait_queue+0x60/0x60
  119. [ 3298.117354]  iwl_trans_send_cmd+0x4a/0xc0 [iwlwifi]
  120. [ 3298.117370]  iwl_mvm_send_cmd+0x23/0x80 [iwlmvm]
  121. [ 3298.117382]  iwl_mvm_send_cmd_pdu+0x58/0x80 [iwlmvm]
  122. [ 3298.117393]  ? iwl_mvm_up+0x7f2/0x9a0 [iwlmvm]
  123. [ 3298.117401]  iwl_mvm_up+0x7f2/0x9a0 [iwlmvm]
  124. [ 3298.117410]  ? iwl_mvm_channel_switch+0x10/0x10 [iwlmvm]
  125. [ 3298.117421]  __iwl_mvm_mac_start+0x2b3/0x350 [iwlmvm]
  126. [ 3298.117431]  iwl_mvm_mac_start+0x51/0x110 [iwlmvm]
  127. [ 3298.117437]  ? _raw_spin_unlock_irqrestore+0x20/0x40
  128. [ 3298.117467]  drv_start+0x35/0x110 [mac80211]
  129. [ 3298.117498]  ieee80211_do_open+0x302/0x8f0 [mac80211]
  130. [ 3298.117524]  ? ieee80211_check_concurrent_iface+0x11a/0x1e0 [mac80211]
  131. [ 3298.117532]  __dev_open+0xc2/0x140
  132. [ 3298.117537]  ? _raw_spin_lock_bh+0x13/0x40
  133. [ 3298.117543]  __dev_change_flags+0x1a7/0x1e0
  134. [ 3298.117548]  ? ___sys_recvmsg+0x188/0x230
  135. [ 3298.117554]  dev_change_flags+0x23/0x60
  136. [ 3298.117558]  devinet_ioctl+0x5f9/0x6b0
  137. [ 3298.117566]  ? sock_do_ioctl+0x20/0x50
  138. [ 3298.117569]  sock_do_ioctl+0x20/0x50
  139. [ 3298.117573]  sock_ioctl+0x1ed/0x2b0
  140. [ 3298.117577]  do_vfs_ioctl+0x9f/0x610
  141. [ 3298.117583]  ? __sys_recvmsg+0x4e/0x90
  142. [ 3298.117587]  ? __sys_recvmsg+0x4e/0x90
  143. [ 3298.117592]  SyS_ioctl+0x74/0x80
  144. [ 3298.117597]  system_call_fast_compare_end+0xc/0x6f
  145. [ 3298.117602] RIP: 0033:0x7fecd7e70d97
Copy the Code
Reply View the author
avatar
188******56
deepin
2018-02-27 22:45
#5
报告说iwlwifi-8265-24.ucode找不到,问题是Intel官方好像只提供了iwlwifi-8265-22.ucode。哪里来的iwlwifi-8265-24.ucode?
Reply View the author
avatar
yanbowen
deepin
Community Developer
2018-02-28 00:26
#6
https://bbs.deepin.org/post/153612
报告说iwlwifi-8265-24.ucode找不到,问题是Intel官方好像只提供了iwlwifi-8265-22.ucode。哪里来的iwlwifi ...

笔记本和网卡型号?另外反馈下日志

如果是联想的,试一下:
  1. sudo tee /etc/modprobe.d/blacklist-ideapad.conf <<< "blacklist ideapad_laptop"
Copy the Code

Reply View the author
avatar
188******56
deepin
2018-02-28 01:58
#7
https://bbs.deepin.org/post/153612
笔记本和网卡型号?另外反馈下日志

如果是联想的,试一下:

日志不是有了吗?型号是HP ZHAN 66 Pro G1/83FD。试了把ideapad加入黑名单,没效果。
Reply View the author
avatar
bobo
deepin
2018-02-28 05:59
#8
我在使用过程也会有类似的现象。https://bbs.deepin.org/user/33250
无线网卡会突然消失,然后重启后恢复。

deepin-feedback-cli-Deepin-15.5-all-20180224-203010.tar.gzdmesg.txt.zip
Reply View the author
avatar
188******56
deepin
2018-02-28 07:39
#9
https://bbs.deepin.org/user/31519 我重启好多次了,一样的问题。但是如果进去恢复模式,deepin用户登录,又能正常用无线…
Reply View the author
avatar
bobo
deepin
2018-02-28 07:52
#10
https://bbs.deepin.org/post/153612
@bobo 我重启好多次了,一样的问题。但是如果进去恢复模式,deepin用户登录,又能正常用无线… ...

你试试用旧的内核,如果可以的话,先用旧内核临时过渡下。
Reply View the author
Comments
wffger
2018-02-28 19:27
一语惊醒梦中人n(*≧▽≦*)n
avatar
188******56
deepin
2018-02-28 11:02
#11
@bobo 在引导界面那里选第二个内核?
Reply View the author
avatar
188******56
deepin
2018-02-28 11:03
#12
本帖最后由 wffger 于 2018-2-28 08:37 编辑

@bobo 今日开机(非重启),居然不自动 开来关去了。但是打开无线却搜不到任何接入点。
Reply View the author
avatar
yanbowen
deepin
Community Developer
2018-02-28 18:21
#13
https://bbs.deepin.org/post/153612
日志不是有了吗?型号是HP ZHAN 66 Pro G1/83FD。试了把ideapad加入黑名单,没效果。 ...

deepin-feedback 生成的日志
Reply View the author
avatar
yanbowen
deepin
Community Developer
2018-02-28 18:27
#14
https://bbs.deepin.org/post/153612
我在使用过程也会有类似的现象。@yanbowen
无线网卡会突然消失,然后重启后恢复。

有没有试过这个:https://bbs.deepin.org/post/151063
Reply View the author
avatar
yanbowen
deepin
Community Developer
2018-02-28 18:34
#15
https://bbs.deepin.org/post/153612
我在使用过程也会有类似的现象。@yanbowen
无线网卡会突然消失,然后重启后恢复。

https://bbs.deepin.org/user/32991 麻烦看下
Reply View the author
avatar
188******56
deepin
2018-02-28 19:27
#16
https://bbs.deepin.org/post/153612
有没有试过这个:https://bbs.deepin.org/post/151063#

试过,无效。
Reply View the author
avatar
188******56
deepin
2018-02-28 19:40
#17
本帖最后由 wffger 于 2018-2-28 11:58 编辑

解决方法:使用旧版本的内核。
步骤:
  1. #修改为GRUB_DEFAULT=1
  2. /etc/default$ sudo vi grub
  3. #更新
  4. /etc/default$ sudo update-grub
  5. Generating grub configuration file ...
  6. Found theme: /boot/grub/themes/deepin/theme.txt
  7. Found background image: /boot/grub/themes/deepin/background.png
  8. Found linux image: /boot/vmlinuz-4.14.0-deepin2-amd64
  9. Found initrd image: /boot/initrd.img-4.14.0-deepin2-amd64
  10. Found linux image: /boot/vmlinuz-4.9.0-deepin13-amd64
  11. Found initrd image: /boot/initrd.img-4.9.0-deepin13-amd64
  12. Found deepin image: /boot/deepin/vmlinuz-4.13.4
  13. Found initrd image: /boot/deepin/initrd.img-4.13.4
  14. Adding boot menu entry for EFI firmware configuration
  15. done
Copy the Code
但是,重启无效,没有修改成功呼叫版主@liujindong
Reply View the author
avatar
bobo
deepin
2018-03-01 06:04
#18
https://bbs.deepin.org/post/153612
解决方法:使用旧版本的内核。
步骤:
但是,重启无效,没有修改成功呼叫版主@liujindong  ...

我印象中可以在开机的时候选择高级启动,然后选择内核的。
Reply View the author
avatar
188******56
deepin
2018-03-01 07:10
#19
https://bbs.deepin.org/post/153612
我印象中可以在开机的时候选择高级启动,然后选择内核的。

我要一劳永逸……我期待有大神抛出一条命令,留下一句话,拉高整个论坛智商……
Reply View the author
avatar
bobo
deepin
2018-03-01 08:40
#20
Reply View the author
1 / 2
To page